/* Flexbox beállítások, hogy a footer mindig az oldal alján maradjon */
html,
body {
    height: 100%;
    font-family: "Playpen Sans Arabic", cursive;
    font-size: small;
}

body {
    display: flex;
    flex-direction: column;
    padding-top: 90px;
    /* Eltolás a fixed navbar miatt */
    background-color: #f8f9fa;
}

/* Animáció a kártyák eltűnéséhez és megjelenéséhez */
.searchable-item {
    transition: all 0.3s ease;
}

/* Footer linkek és ikonok finomhangolása (hover effektusok) */
.footer-links a:hover,
.social-icon:hover {
    color: #2ecc71 !important;
    /* Szép Bootstrap zöld */
    transition: color 0.2s ease;
}

.social-icon:hover {
    display: inline-block;
    transform: scale(1.1);
    transition: transform 0.2s ease;
}

.kepmeret {
    height: auto;
    width: 200px;
}

/* --- COOKIE BANNER STÍLUSOK --- */
.cookie-banner {
    z-index: 9999;
    /* Garantálja, hogy a footer és minden más tartalom felett jelenjen meg */
    transition: all 0.4s ease-in-out;
}